Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.protegeowl.log
Class OWLPropertyLogRecord

    java.lang.Object
      edu.stanford.smi.protegex.owl.inference.protegeowl.log.ReasonerLogRecord
          edu.stanford.smi.protegex.owl.inference.protegeowl.log.OWLPropertyLogRecord

All Implemented Interfaces:
  ListCellRenderer, TreeCellRenderer

    public class OWLPropertyLogRecord

extends ReasonerLogRecord

Constructor Summary
`OWLPropertyLogRecord(RDFProperty prop, ReasonerLogRecord parent)`

Method Summary
`Component` | `getListCellRendererComponent(JList arg0, Object arg1, int arg2, boolean arg3, boolean arg4)`
`Component` | `getTreeCellRendererComponent(JTree arg0, Object arg1, boolean arg2, boolean arg3, boolean arg4, int arg5, boolean arg6)`

Methods inherited from class edu.stanford.smi.protegex.owl.inference.protegeowl.log.ReasonerLogRecord
`getParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLPropertyLogRecord

    public OWLPropertyLogRecord(RDFProperty prop,
                                ReasonerLogRecord parent)

Method Detail

### getListCellRendererComponent

    public Component getListCellRendererComponent(JList arg0,
                                                  Object arg1,
                                                  int arg2,
                                                  boolean arg3,
                                                  boolean arg4)

### getTreeCellRendererComponent

    public Component getTreeCellRendererComponent(JTree arg0,
                                                  Object arg1,
                                                  boolean arg2,
                                                  boolean arg3,
                                                  boolean arg4,
                                                  int arg5,
                                                  boolean arg6)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.